#include <stdio.h>
#include <string.h>

#include <string>

#include "unix.hh"


int main ( int argc , char * argv [] )
{
    std::string udg ;
    FILE * exe_trace_out = 0L ;

    if ( argc != 7 )
    {
        fprintf ( stderr , 
                "%s: usage <elf program> <cfg output> "
                    "<udg output> <exe trace output> "
                    "<nm binary> <m5 binary path>\n" ,
                argv [ 0 ] ) ;
        return 1 ;
    }
    exe_trace_out = fopen ( argv [ 4 ] , "wt" ) ;
    if ( exe_trace_out == 0L )
    {
        perror ( "Unable to open trace output" ) ;
        return 1 ;
    }
    if ( Do_Make_CFG ( argv [ 1 ] , argv [ 2 ] , argv [ 3 ] , 
            argv [ 5 ] , argv [ 6 ] , exe_trace_out ) )
    {
        return 0 ;
    }
    fprintf ( stderr , "%s: failed.\n" , argv [ 0 ] ) ;
    return 1 ;
}

