
import re, collections

DENUMBER = re.compile("(0x[0-9a-f]+|[0-9]+)")

def Denumber(s):
    return DENUMBER.sub("X", s)

def Main():
    negative = collections.deque()
    for line in file("balance"):
        line = line.strip()
        if (( len(line) >= 2 )
        and ( not line[ 2: ].startswith("global: RegFile: ") )
        and ( line[ 1: ] != 'FullO3CPU: Ticking main, FullO3CPU.' )
        and ( line[ 2: ] != 'system.cpu: Scheduling next tick!' )
        and ( line[ 2: ] != 'system.cpu:' )):
            if ( line[ 0 ] == '-' ):
                negative.append(line)
            elif ( line[ 0 ] == '+' ):
                line1 = Denumber(line[ 2: ])
                match = False
                check = ''
                for i in xrange(len(negative)):
                    check = negative.popleft()
                    check1 = Denumber(check[ 2: ])
                    if ( line1 == check1 ):
                        match = True
                        break
                    else:
                        negative.append(check)

                if ( match ):
                    print check
                print line

            elif ( line[ 0 ] == ' ' ):
                while ( len(negative) != 0 ):
                    check = negative.popleft()
                    print check

                print ''

if ( __name__ == "__main__" ):
    Main()
                
